Summary: A GUI tool set for mic2
Name: moblin-image-manager
Version: 0.1
Release: 1.1.moblin2
License: GPLv2
Group: Applications/System
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://www.moblin.org/
Requires: python >= 2.5, pygtk2 >= 2.9.2, pygtk2-libglade, mic2
BuildRequires: python, python-devel, usermode

%description 
This is a GUI tool set for mic2, includes moblin-image-manager, moblin-image-creator-ui
, moblin-image-convertor-ui, moblin-launch-vm-ui, moblin-chroot-ui and
moblin-write-to-usb-ui, it depends on mic2. Please refer to
http://www.moblin.org/ for more details.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%if 0%{?suse_version}
%{__python} setup.py install --skip-build --root=%{buildroot} --prefix=/usr --install-purelib=/usr/share/moblin-image-manager --install-scripts=%{_sbindir} --record-rpm=INSTALLED_FILES
%else
%{__python} setup.py install --skip-build --root=%{buildroot} --prefix=/usr --install-purelib=/usr/share/moblin-image-manager --install-scripts=%{_sbindir} -O1 --record=INSTALLED_FILES
%endif
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%{_sysconfdir}/mic/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/comps-cleanup.xsl
%{_datadir}/%{name}/comps.xml
%{_datadir}/%{name}/locale-list
%{_datadir}/%{name}/ui/*
%{_bindir}/*
%changelog
* Wed Jul 15 2009 Yi Yang <yi.y.yang@intel.com> 0.1
- Fix some indent issues in python scripts
* Wed Jul 15 2009 Yi Yang <yi.y.yang@intel.com> 0.1
- Fix some makefile issues for packaging
* Wed Jul 15 2009 Yi Yang <yi.y.yang@intel.com> 0.1
- First package moblin-image-manager
